Subject: Re: [PATCH net-next 0/8] amd-xgbe: AMD XGBE driver update 2014-07-25

From: Tom Lendacky <[email-masked]>
Date: Tue, 29 Jul 2014 08:21:23 -0500

On 07/28/2014 07:33 PM, David Miller wrote:
> From: Tom Lendacky <[email-masked]>
> Date: Fri, 25 Jul 2014 16:10:52 -0500
>
>> This patch series is dependent on the following patch that was
>> applied to the net tree and needs to be applied to the net-next
>> tree:
>>    332cfc823d18 - amd-xgbe: Fix error return code in xgbe_probe()
>>
>> The following series of patches includes fixes and new support in the
>> driver.
>>
>> - Device bindings documentation update
>> - Hardware timestamp support
>> - 2.5GbE support changes
>> - Fifo sizes based on active queues/rings
>> - Phylib driver updates for:
>>    - Rate change completion check
>>    - KR training initiation
>>    - Auto-negotiation results
>> - Traffic class support, including DCB support
>>
>> This patch series is based on net-next.
>
> I was going to apply this, but I couldn't let those function tracing debug
> giblets into the tree.
>
> Please remove all of that DBGPR(...., __func__) stuff.
>
> We have a generic function tracer which can be used to trace any path
> of execution in the kernel.
>

Will do. I was planning on going through the whole driver and replacing
all the DBGPR type functions in a future patch. For now I'll just
remove them from this patch series and address the rest of the driver
in a future patch.

Thanks,
Tom